// RendererSlicerVertex.glsl
//
// Simple Vertex Shader to display Slices
//

void main(){	
	
	gl_Position     = gl_Vertex;//ftransform();//gl_ModelViewProjectionMatrix * gl_Vertex;
	//gl_FrontColor   =  vec4(0.0,0.0,0.0,1.0);								//gl_FrontColor   = gl_Color;
    gl_TexCoord[0]  =  gl_MultiTexCoord0;  
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
     
 /*   
  	 float xi  = 0.0;
	 float xxi = fstepX; 
	  
	 vec2 TexPoint = gl_TexCoord[0].xy;
	 vec2 TexCoord = TexPoint.xy;//vec2(0.0,0.0);
	 vec4       col = vec4(1.0,0.0,0.0,1.0);
	
         bool exit = false;


	do{

		float xst = (texture2D(texGrid, vec2(xi , 0.0))).x;
		float xsp = (texture2D(texGrid, vec2(xxi, 0.0))).x;	
		
		if ( (xst <= TexPoint.x) && ( xsp > TexPoint.x)  ){
			TexCoord = vec2(xi, TexPoint.y);		
			col = vec4(0.0,1.0,0.0,1.0);
			exit = true;		
		
		}
	
		xi  += fstepX;
		xxi += fstepX;
		
	}while((xi < 1.0) && (exit == false));     
  */  
    
    
      

}
